### Function

# EvinceDocument mkstemp_file

#### Declaration [src]

    GFile*
    ev_mkstemp_file (
      const char* tmpl,
      GError** error
    )

#### Description [src]

Creates a temp `GFile` in the evince temp directory. See `ev_mkstemp()` for more information.

#### Parameters

`tmpl`

  Type: `const char*`

  A template string; must contain ‘XXXXXX’, but not necessarily as a suffix.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GFile`

A newly allocated `GFile` for the newly created temp file name, or `NULL` on error with `error` filled in.

The caller of the function takes ownership of the data, and is responsible for freeing it.